@import "../catppuccin_macchiato.css";

* {
    /* `otf-font-awesome` is required to be installed for icons */
    font-family: Hack Nerd Font, Roboto, Helvetica, Arial, sans-serif;
    font-size: 14px;
    color: @text;
    min-height: 0;
    border-radius: 5px;
}

window#waybar {
    background-color: @surface2;
    transition-property: background-color;
    transition-duration: .5s;
    border-radius: 0px;
    padding: 20px 2px;
}

window#waybar.hidden {
    opacity: 0.2;
}


#clock {
    padding: 0 10px 0 10px;
    background-color: @base;
}

#battery {
    background-color: @base;
    padding: 0px 6px;
}

#battery.charging, #battery.plugged {
    color: @base;
    background-color: @green;
}

#battery.warning {
    color: @base;
    background-color: @peach;
}

@keyframes blink {
    to {
        background-color: @base;
        color: @red;
    }
}

#battery.critical:not(.charging) {
    background-color: @red;
    color: @base;
    animation-name: blink;
    animation-duration: 0.5s;
    animation-timing-function: linear;
    animation-iteration-count: infinite;
    animation-direction: alternate;
}

label:focus {
    /* TODO: replace by color */
    background-color: #000000;
}

#cpu {
    padding: 0px 6px;
    background-color: @base;
}

#cpu.high {
    color: @red;
}

#cpu.moderate {
    color: @peach;
}

#memory {
    padding: 0px 6px;
    background-color: @base;
}

#disk {
    padding: 0px 6px;
    background-color: @base;
}

#backlight {
    padding: 0px 6px;
    background-color: @base;
}

#network {
    padding: 0px 6px;
    background-color: @base;
}

#network.disconnected {
    background-color: @peach;
}

#pulseaudio {
    padding: 0px 6px;
    background-color: @base;
}

#pulseaudio.muted {
    background-color: @peach;
}


#temperature {
    padding: 0px 6px;
    background-color: @base;
}

#temperature.critical {
    background-color: @red;
}

#tray {
    padding: 0px 6px;
    background-color: @base;
}

#tray > .passive {
    -gtk-icon-effect: dim;
}

#tray > .needs-attention {
    -gtk-icon-effect: highlight;
    background-color: @yellow;
}

#keyboard-state {
    padding: 0px 6px;
    background-color: @base;
}

#keyboard-state > label {
    padding: 0 5px;
}

#keyboard-state > label.locked {
    background: rgba(0, 0, 0, 0.2);
}

#workspaces button {
    border-radius: 11px;
    padding: 1px 2px;
    margin: 0 1px;
    background: @surface0;
}
#workspaces button.current_output {
    background: @overlay0;
}
#workspaces button.urgent {
    background: @peach;
}
/* Uncomment again for sway */
/* #workspaces button.persistent { */
/*     background: @base; */
/* } */
#workspaces button.empty {
    background: @base;
}
#workspaces button.focused.current_output, #workspaces button.visible {
    background: @blue;
}
#workspaces button.visible.current_output, #workspaces button.active {
    background: @mauve;
}

#mode, #submap {
    padding: 0px 6px;
    background: @red;
    color: @base;
}

#custom-makomode {
    padding: 0px 6px;
    background: @base;
}

#custom-daintQueue {
    padding: 0px 6px;
    background: @base;
}

#mpd {
    padding: 0px 6px;
    background: @base;
}

#bluetooth {
    padding: 0px 6px;
    background: @base;
}
